Caddy(8)

NAME
caddy-stop - Gracefully stops a started Caddy process

SYNOPSIS
caddy stop [--config [--adapter ]] [--address ] [flags]

DESCRIPTION
Stops the background Caddy process as gracefully as possible.

It requires that the admin API is enabled and accessible, since it will use the API's /stop endpoint. The address of this request can be customized using the --address flag, or from the given --config, if not the default.

OPTIONS
-a, --adapter=""
    Name of config adapter to apply (when --config is used)

--address=""
    The address to use to reach the admin API endpoint, if not the default

-c, --config=""
    Configuration file to use to parse the admin address, if --address is not used

-h, --help[=false]
    help for stop

SEE ALSO
caddy(8)

HISTORY
22-Aug-2025 Auto generated by spf13/cobra